---
title: Mint Api
slug: api/mint-api
docTags: 
createdAt: 2022-08-05T17:24:27.000Z
---

## parameters - Query inflation parameters

### parameter

no

### return value

Return a JSON object, the structure is as follows：

- height: Block height
- result: result
  - mint\_denom: Coin name
  - inflation\_rate\_change: Current annual inflation rate
  - inflation\_max: Maximum annual inflation rate
  - inflation\_min: Minimum annual inflation rate
  - goal\_bonded: Number of target binding coins
  - blocks\_per\_year: Number of blocks per year

### Sample code

request：

```curl
curl -X GET 'https://rpc.block.caduceus.global:8545/minting/parameters'
```

response：

```json
{
    "height": "2666",
    "result": {
        "mint_denom": "hcoin",
        "inflation_rate_change": "0.130000000000000000",
        "inflation_max": "0.200000000000000000",
        "inflation_min": "0.070000000000000000",
        "goal_bonded": "0.670000000000000000",
        "blocks_per_year": "6311520"
    }
}

```

## inflation - Query inflation rate

### parameter

no

### return value

Return a JSON object, the structure is as follows：

- height: Block height
- result: result
- result: Current annual inflation rate

### Sample code

request：

```curl
curl -X GET 'https://rpc.block.caduceus.global/minting/inflation'
```

response：

```json
{
    "height": "2723",
    "result": "0.130056086331026117"
}

```

## annual-provisions - Main currency supply

### parameter

no

### return value

Return a JSON object, the structure is as follows：

- height: Block height
- result: Annual supply of main currency

### Sample code

request：

```curl
curl -X GET 'https://rpc.block.caduceus.global:8545/minting/annual-provisions'
```

response：

```json
{
    "height": "2775",
    "result": "13005867554037591871011963.224371766630345350"
}

```

